Name: DemoIccMAX

%define snapshot_upstream_version	0
%define snapshot_date	20220621
%define snapshot_hash	79ecb74
Version: %{snapshot_upstream_version}^1.%{snapshot_date}git%{snapshot_hash}

Release: 1%{?dist}
Summary: Support for iccMAX based color management profiles and legacy ICC profiles
License: ICC
URL: https://github.com/InternationalColorConsortium/%{name}
Source0: %{url}/archive/%{snapshot_hash}.tar.gz#downloadas=/%{name}-%{snapshot_hash}.tar.gz
BuildRequires: cmake, gcc-c++, libxml2-devel, libtiff-devel, pkgconfig, wxGTK-devel
Requires: libxml2, libtiff, wxGTK

%description
The DemoIccMAX project (formally known as RefIccMAX) provides an open source set of libraries and tools that allow for the interaction, manipulation, and application of iccMAX based color management profiles based on the iccMAX profile specification in addition to legacy ICC profiles defined by earlier ICC profile specifications.

iccMAX is not intended as a replacement for legacy ICC.1 based profiles, the existing architecture, but as an extension or alternative where requirements cannot be fully met by ICC.1. Some of the areas covered by iccMAX include: Multi-spectral, Medical Imaging, Image Capture/Digital Photography, Package Printing, Color Management on Internet, Fine Art, and Color Information Archiving. A more full description of capabilities and functionality can be found on the ICC web site, http://www.color.org/iccmax.xalter.

Note: The code in DemoIccMAX was initially based on the SampleICC and IccXML open source projects, and therefore concepts, files and data structures within DemoIccMAX may have similarities (as well as various differences) to those in the SampleICC and IccXML projects.


%package	devel
Summary:        Development files for DemoIccMAX
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package includes files needed to link with the DemoIccMAX libraries.
The DemoIccMAX project (formally known as RefIccMAX) provides an open source set of libraries and tools that allow for the interaction, manipulation, and application of iccMAX based color management profiles based on the iccMAX profile specification in addition to legacy ICC profiles defined by earlier ICC profile specifications.


%prep
%define source_dir %{name}-%{snapshot_hash}
[ -d %{source_dir} ] && %{__rm} -rf %{source_dir}
mkdir -p %{source_dir} && \
tar -xvf %{SOURCE0} -C %{source_dir} --strip-components 1
%autosetup -T -D -n %{name}-%{snapshot_hash}

%build
%global _hardened_build 1
%global debug_package %{nil}
%global _vpath_builddir build
%cmake -B %{_vpath_builddir} -D ENABLE_TESTS=OFF -D USE_SYSTEM_XML2=ON ./Build/Cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%ldconfig_scriptlets

%files
%doc Readme.md ReadMeFiles
%license LICENSE.md
%{_bindir}/*
%{_libdir}/lib*.so.*

%files devel
%{_includedir}/*
%{_libdir}/cmake/*
%{_libdir}/lib*.so
%{_libdir}/lib*-static.a

%changelog
* Sat Dec 3 2022 Honore Doktorr <hdfssk@gmail.com> - 0^1.20220621git79ecb74-1
- Initial packaging
